<?php
## pole s nazvy clanku podle ID.
$clanky = array(1=>"První článek pro přetáhnutí", 2=>"Druhý článek", 3=>"Poslední článek");

## jak dlouho ma byt cookies v platnosti
## 60(vterin)*60(minut)*24(hodin)*31(dni)*60(mesicu) = cca 5 let
$trvani = 60*60*24*31*60;

## postara se, aby se neukladalo do cache
## IE ma totiz obcas sklony nenacist zalozky po ukonu provedenem AJAXem
function bezCache()
{
  $now = gmdate('D, d M Y H:i:s') . ' GMT';
  header('Expires: ' . $now);
  header('Last-Modified: ' . $now);
  header('Cache-Control: no-store, no-cache, must-revalidate');
  header('Cache-Control: pre-check=0, post-check=0, max-age=0');
  header('Pragma: no-cache');
}

function ukazOdkazy($pole_zalozek)
{
$kolik = count($pole_zalozek);

### smazURL se nachazi v souboru scripty/main.js a jen vola pres AJAX soubor smaz_zalozku.php
  
## pokud je neco v poli - vypis to
  if ($kolik>0) 
  {
    $vystup = 'Záložky:';
    $vystup .= "<ol>";
    
    ## projdi pole se zalozkami a vypis je
    foreach ($pole_zalozek as $id => $nazev) 
    {
      $kos = "<div class='smazat'><img id=\"del_$id\" style='display:none' src='smaz.gif' alt='Smazat' onclick=\"Element.hide('toto_$id');smazURL('oblibene_$id');\" /></div>"; 
      $vystup .= "<li id='toto_$id'><div onmouseover=\"Element.show('del_$id');\" onmouseout=\"Element.hide('del_$id');\">$kos<a href=\"clanek/$id.html\">$nazev</a></div></li>";
    }
    
    $vystup .= "</ol>";
  } 
  ## pole je prazne, neni v nem zadna zalozka
  else $vystup = "Přetáhnutím nadpisu článku myší na toto místo si vytvoříte záložku.";

return $vystup;
}

?>
